#
# Conditional build:
%bcond_without	libart		# libart_lgpl binding
%bcond_without	gnomevfs	# gnome-vfs2 binding
%bcond_without	gnomeui		# gnome (libgnomecanvas+libgnomeui) binding
#
%include	/usr/lib/rpm/macros.mono
Summary:	.NET language bindings for GNOME
Summary(pl.UTF-8):	Wiązania GNOME dla .NET
Name:		dotnet-gnome-sharp
Version:	2.24.2
Release:	4
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-sharp/2.24/gnome-sharp-%{version}.tar.bz2
# Source0-md5:	3b38f53960c736d4afb8f04204efe98b
Patch0:		%{name}-destdir.patch
Patch1:		%{name}-mint.patch
URL:		http://gtk-sharp.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
# gtk-sharp-2.0, glade-sharp-2.0
BuildRequires:	dotnet-gtk-sharp2-devel >= 2.12.2
%{?with_gnomevfs:BuildRequires:	gnome-vfs2-devel >= 2.24.0}
%{?with_gnomeui:BuildRequires:	gtk+2-devel >= 2:2.14.0}
%{?with_libart:BuildRequires:	libart_lgpl-devel >= 2.3.20}
%{?with_gnomeui:BuildRequires:	libgnomecanvas-devel >= 2.20.0}
%{?with_gnomeui:BuildRequires:	libgnomeui-devel >= 2.24.0}
BuildRequires:	libtool
BuildRequires:	mono-csharp >= 1.1.16.1
BuildRequires:	monodoc >= 1.1.16
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(monoautodeps)
Requires:	GConf2-libs
%{?with_gnomevfs:Requires:	gnome-vfs2-libs >= 2.24.0}
%{?with_gnomeui:Requires:	gtk+2 >= 2:2.14.0}
%{?with_libart:Requires:	libart_lgpl >= 2.3.20}
%{?with_gnomeui:Requires:	libgnomecanvas >= 2.20.0}
%{?with_gnomeui:Requires:	libgnomeui >= 2.24.0}
Requires:	mono >= 1.1.16.1
Obsoletes:	dotnet-gtk-sharp2-gnome
Obsoletes:	gtk-sharp2
ExclusiveArch:	%{ix86} %{x8664} arm hppa ia64 ppc s390 s390x sparc sparcv9
ExcludeArch:	i386
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides bindings for .NET to GNOME libraries.

%description -l pl.UTF-8
Pakiet ten dostarcza wiązania dla .NET do bibliotek z GNOME.

%package devel
Summary:	Development part of GNOME#
Summary(pl.UTF-8):	Część dla programistów GNOME#
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	monodoc
Requires:	which
Obsoletes:	dotnet-gtk-sharp2-gnome-devel
Obsoletes:	gtk-sharp2-devel

%description devel
Tools (C source parser and C# code generator) and documentation for
developing applications using GNOME#.

%description devel -l pl.UTF-8
Narzędzia (parser kodu C oraz generator kodu C#) i dokumentacja
potrzebne przy tworzeniu aplikacji korzystających z GNOME#.

%package static
Summary:	Static gtk-sharp libraries
Summary(pl.UTF-8):	Biblioteki statyczne gtk-sharp
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	dotnet-gtk-sharp2-gnome-static

%description static
Static gnome-sharp libraries.

%description static -l pl.UTF-8
Biblioteki statyczne gnome-sharp.

%prep
%setup -q -n gnome-sharp-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make} -j 1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	monodocdir=%{_libdir}/monodoc/sources

cp -a sample/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/gconfsharp2-schemagen
%attr(755,root,root) %{_prefix}/lib/gtk-sharp-2.0/gconfsharp-schemagen.exe

%{_prefix}/lib/mono/gac/gconf-sharp
%{_prefix}/lib/mono/gac/policy.2.4.gconf-sharp
%{_prefix}/lib/mono/gac/policy.2.6.gconf-sharp
%{_prefix}/lib/mono/gac/policy.2.8.gconf-sharp
%{_prefix}/lib/mono/gac/policy.2.16.gconf-sharp
%{_prefix}/lib/mono/gac/policy.2.20.gconf-sharp

%if %{with libart}
%{_prefix}/lib/mono/gac/art-sharp
%{_prefix}/lib/mono/gac/policy.2.4.art-sharp
%{_prefix}/lib/mono/gac/policy.2.6.art-sharp
%{_prefix}/lib/mono/gac/policy.2.8.art-sharp
%{_prefix}/lib/mono/gac/policy.2.16.art-sharp
%{_prefix}/lib/mono/gac/policy.2.20.art-sharp
%endif

%if %{with gnomeui}
%attr(755,root,root) %{_libdir}/libgnomesharpglue-2.so
%{_libdir}/libgnomesharpglue-2.la
%{_prefix}/lib/mono/gac/gconf-sharp-peditors
%{_prefix}/lib/mono/gac/gnome-sharp
%{_prefix}/lib/mono/gac/policy.2.4.gconf-sharp-peditors
%{_prefix}/lib/mono/gac/policy.2.6.gconf-sharp-peditors
%{_prefix}/lib/mono/gac/policy.2.8.gconf-sharp-peditors
%{_prefix}/lib/mono/gac/policy.2.16.gconf-sharp-peditors
%{_prefix}/lib/mono/gac/policy.2.20.gconf-sharp-peditors
%endif

%if %{with gnomevfs}
%{_prefix}/lib/mono/gac/gnome-vfs-sharp
%{_prefix}/lib/mono/gac/policy.2.4.gnome-vfs-sharp
%{_prefix}/lib/mono/gac/policy.2.6.gnome-vfs-sharp
%{_prefix}/lib/mono/gac/policy.2.8.gnome-vfs-sharp
%{_prefix}/lib/mono/gac/policy.2.16.gnome-vfs-sharp
%{_prefix}/lib/mono/gac/policy.2.20.gnome-vfs-sharp
%endif

%files devel
%defattr(644,root,root,755)
%{_prefix}/lib/mono/gtk-sharp-2.0/gconf-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.4.gconf-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.6.gconf-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.8.gconf-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.16.gconf-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.20.gconf-sharp.dll
%{_pkgconfigdir}/gconf-sharp-2.0.pc
%{_examplesdir}/%{name}-%{version}

%if %{with libart}
%{_prefix}/lib/mono/gtk-sharp-2.0/art-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.4.art-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.6.art-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.8.art-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.16.art-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.20.art-sharp.dll
%{_datadir}/gapi-2.0/art-api.xml
%{_pkgconfigdir}/art-sharp-2.0.pc
%endif

%if %{with gnomeui}
%{_prefix}/lib/mono/gtk-sharp-2.0/gconf-sharp-peditors.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/gnome-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.4.gconf-sharp-peditors.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.6.gconf-sharp-peditors.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.8.gconf-sharp-peditors.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.16.gconf-sharp-peditors.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.20.gconf-sharp-peditors.dll
%{_datadir}/gapi-2.0/gnome-api.xml
%{_pkgconfigdir}/gnome-sharp-2.0.pc
%{_pkgconfigdir}/gconf-sharp-peditors-2.0.pc
%endif

%if %{with gnomevfs}
%{_prefix}/lib/mono/gtk-sharp-2.0/gnome-vfs-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.4.gnome-vfs-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.6.gnome-vfs-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.8.gnome-vfs-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.16.gnome-vfs-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.20.gnome-vfs-sharp.dll
%{_datadir}/gapi-2.0/gnome-vfs-api.xml
%{_pkgconfigdir}/gnome-vfs-sharp-2.0.pc
%endif

%if %{with gnomeui}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgnomesharpglue-2.a
%endif
%changelog
* Sat Nov 02 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dotnet-gnome-sharp.git;a=log;h=master

* Sat Nov 02 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 82fd02c
- release 4 (by relup.sh)

* Thu Sep 05 2013 Jakub Bogusz <qboosh@pld-linux.org> 5430474
- bconds for optional components

* Sat Mar 31 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 82e45d8
- added to Requires libraries used via DllImport
- release 3

* Wed Apr 06 2011 Artur Frysiak <artur@frysiak.net> 6c53a7b
- rel. 2

* Sat Oct 23 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 6db3765
- updated to 2.24.2

* Sat Oct 23 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 8479de1
- release 3

* Wed Mar 18 2009 Patryk Zawadzki <patrys@room-303.com> 6109536
- force -j 1
- rel 2

* Wed Mar 18 2009 Patryk Zawadzki <patrys@room-303.com> 64263dc
- 2.24.1

* Fri Oct 10 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 076417e
- updated to 2.24.0

* Fri Apr 25 2008 hawk <hawk@pld-linux.org> a096be5
- BR: dotnet-gtk-sharp2-devel >= 2.12.0
- release 2

* Fri Apr 11 2008 Szymon Siwek <sls@pld-linux.org> e1568e1
- rel. 1
- fixes in files

* Fri Apr 11 2008 Szymon Siwek <sls@pld-linux.org> 32985a7
- ver. 2.20.0 (NFY); vte, rsvg, and gtkhtml moved to gnome-desktop-sharp

* Fri Apr 11 2008 Szymon Siwek <sls@pld-linux.org> 07dca10
- vte, rsvg, and gtkhtml moved to gnome-desktop-sharp

* Fri Apr 11 2008 Szymon Siwek <sls@pld-linux.org> 6c8bbd9
- applied upstream

* Sat Apr 05 2008 Jakub Bogusz <qboosh@pld-linux.org> f7c317a
- sparcv9-*-linux is 32-bit

* Thu Apr 03 2008 tommat <tommat@pld-linux.org> bc4ca33
- no mono on sparc64

* Sat Jul 14 2007 twittner <twittner@pld-linux.org> 2880cf8
- rel. 3 - gtkhtml is back after qboosh's fixes. This should solve problem
  with running monodoc

* Sat Jul 14 2007 Jakub Bogusz <qboosh@pld-linux.org> da9dddf
- added gtkhtml patch to support gtkhtml 3.14, bcond on by default
- make -j1

* Sat Jul 14 2007 Jakub Bogusz <qboosh@pld-linux.org> 8aed741
- support gtkhtml 3.14

* Wed Jun 20 2007 Elan Ruusamäe <glen@pld-linux.org> 6782751
- gtkhtml is not built somewhy

